#include "motoezx.h"

int mySDL_PollEvent(SDL_Event *event)  {
    int _r= SDL_PollEvent(event);
    if (!_r)
        return 0;
    if (event->type == SDL_ACTIVEEVENT) {
        if (event->active.state == SDL_APPINPUTFOCUS && !event->active.gain) {
            suspendAudio();
            for (;;) {
                _r = SDL_WaitEvent(event);
                if (!_r)
                    continue;
                if (event->type == SDL_QUIT)
                    return 1;
                if (event->type != SDL_ACTIVEEVENT)
                    continue;
                if (event->active.state == SDL_APPINPUTFOCUS && event->active.gain) {
                    resumeAudio();
                        return 1;
                }
            }
        }
    }
  return _r;
}

// if audio use sdl-mixer-lib
void suspendAudio()
{
  Mix_SuspendAudio();
}

int resumeAudio() {
  int r = Mix_ResumeAudio();
  if(r == -1){
    closeAudio();
    return -1;
  }
}

void closeAudio(void) {
      Mix_CloseAudio();
}
